/* File:      generic_functions.C
   Date:      5/19/03  (written fall 2001)
   Author:    C. Paciorek
   Purpose:   basic mathematical and other functions
   Compile:   g++ -c -Wall -ansi
   Usage:     N/A
   Arguments: N/A
   Requires:  see just below
   Reference: written by C. Paciorek
*/

#include "base.h"

const double mindiff=1e-15;

int zero(double value){
  if(fabs(value)>mindiff){
    return(0);
  }
  else{
    return(1);
  }
}

// converts double to text string
string dtos(double d)      
{
  strstream s;
  s << d;
  return s.str();
}

// converts int to text string
string itos(int i)      
{
  strstream s; string output;
  s << i;
  output=s.str();
  // this next monkey business deals with having garbage at the end of the string
  int num=int(log10(i));
  output.assign(output,0,num+1);
  return(output);
}





